MARTe2-core - User story #228

Address FractionallntegerGTest and BitRangeGTest compilation warnings
27.09.2015 10:15 - André Neto

Status: Closed Start date: 27.09.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Address and solve the following warnings:

In file included from FractionallntegerGTest.cpp:35:

../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 = short int, T = unsigned int]":
FractionallntegerGTest.cpp:83: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:131: warning: comparison between signed and unsigned integer expressions
FractionallntegerGTest.cpp:83: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:142: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMajorSize(T2) [with T2 = short int, T = unsigned int]’:
FractionallntegerGTest.cpp:89: instantiated from here

../Core/BareMetal/L0Types/FractionallntegerTest.h:170: warning: comparison between signed and unsigned integer expressions
FractionallntegerGTest.cpp:89: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:176: warning: comparison between signed and unsigned integer expressions
FractionallntegerGTest.cpp:89: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:192: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 = int, T = long long int]’:

FractionallntegerGTest.cpp:171: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:111: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h:112: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMajorSize(T2) [with T2 = int, T = long long int]’:

FractionallntegerGTest.cpp:177: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:160: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h:161: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 = int, T = long long unsigned int]”:
FractionallntegerGTest.cpp:183: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:111: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h:112: warning: integer overflow in expression
FractionallntegerGTest.cpp:183: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:131: warning: comparison between signed and unsigned integer expressions
FractionallntegerGTest.cpp:183: instantiated from here

../Core/BareMetal/L0Types/FractionallntegerTest.h:142: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMajorSize(T2) [with T2 = int, T = long long unsigned int]’:
FractionallntegerGTest.cpp:189: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:160: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h:161: warning: integer overflow in expression
FractionallntegerGTest.cpp:189: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:170: warning: comparison between signed and unsigned integer expressions
FractionallntegerGTest.cpp:189: instantiated from here

../Core/BareMetal/L0Types/FractionallntegerTest.h:176: warning: comparison between signed and unsigned integer expressions
FractionallntegerGTest.cpp:189: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:192: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 = unsigned int, T = int]’:

FractionallntegerGTest.cpp:203: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:131: warning: comparison between signed and unsigned integer expressions
FractionallntegerGTest.cpp:203: instantiated from here

../Core/BareMetal/L0Types/FractionallntegerTest.h:142: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 = int, T = int]’:

FractionallntegerGTest.cpp:209: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:111: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h:112: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 = int, T = unsigned int]'":

FractionallntegerGTest.cpp:215: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:111: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h:112: warning: integer overflow in expression
FractionallntegerGTest.cpp:215: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:131: warning: comparison between signed and unsigned integer expressions
FractionallntegerGTest.cpp:215: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:142: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 = long long unsigned int, T = int]”:
FractionallntegerGTest.cpp:228: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:131: warning: comparison between signed and unsigned integer expressions
FractionallntegerGTest.cpp:228: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:142: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 = long long int, T = int]’:

FractionallntegerGTest.cpp:234: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:111: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h:112: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h: In member function ‘bool
FractionallntegerTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 = long long int, T = unsigned int]”:
FractionallntegerGTest.cpp:240: instantiated from here

../Core/BareMetal/LOTypes/FractionallntegerTest.h:111: warning: integer overflow in expression
../Core/BareMetal/LOTypes/FractionallntegerTest.h:112: warning: integer overflow in expression

mkdir -p ../../Build/linux//GTest

g++ -c -finline-functions -1../ -l../Core/BareMetal/L0Types -I../Core/BareMetal/L1Portability -1../Core/BareMetal/L20bjects
-../Core/BareMetal/L3Streams -1../Core/Scheduler/L1Portability -1../../Source/Core/BareMetal/L0Types
-1../../Source/Core/BareMetal/L1Portability -I../../Source/Core/BareMetal/L20bjects -I../../Source/Core/BareMetal/L3Streams
-1../../Source/Core/Scheduler/L1Portability -1../../Lib/gtest-1.7.0/include -fPIC -frtti -Wall -DARCHITECTURE=x86_gcc
-DENVIRONMENT=Linux -DUSE_PTHREAD -pthread -g -ggdb BitRangeGTest.cpp -0 ../../Build/linux//GTest/BitRangeGTest.o
In file included from BitRangeGTest.cpp:35:

../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 =
short int, T = unsigned int]’:

BitRangeGTest.cpp:89: instantiated from here

../Core/BareMetal/L0Types/BitRangeTest.h:183: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMajorSize(T2) [with T2 =
short int, T = unsigned int]':

BitRangeGTest.cpp:95: instantiated from here

../Core/BareMetal/LOTypes/BitRangeTest.h:213: warning: comparison between signed and unsigned integer expressions
BitRangeGTest.cpp:95: instantiated from here

../Core/BareMetal/L0Types/BitRangeTest.h:220: warning: comparison between signed and unsigned integer expressions
BitRangeGTest.cpp:95: instantiated from here

../Core/BareMetal/L0Types/BitRangeTest.h:235: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMajorSize(T2) [with T2 =
int, T = long long int]":

BitRangeGTest.cpp:183: instantiated from here

../Core/BareMetal/LOTypes/BitRangeTest.h:203: warning: integer overflow in expression
../Core/BareMetal/LOTypes/BitRangeTest.h:204: warning: integer overflow in expression
../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 =
int, T = long long unsigned int]’:

BitRangeGTest.cpp:189: instantiated from here

../Core/BareMetal/L0Types/BitRangeTest.h:183: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMajorSize(T2) [with T2 =
int, T = long long unsigned int]’:

BitRangeGTest.cpp:195: instantiated from here
../Core/BareMetal/LOTypes/BitRangeTest.h:203: warning: integer overflow in expression
../Core/BareMetal/LOTypes/BitRangeTest.h:204: warning: integer overflow in expression

BitRangeGTest.cpp:195: instantiated from here

../Core/BareMetal/LOTypes/BitRangeTest.h:213: warning: comparison between signed and unsigned integer expressions
BitRangeGTest.cpp:195: instantiated from here

../Core/BareMetal/L0Types/BitRangeTest.h:220: warning: comparison between signed and unsigned integer expressions
BitRangeGTest.cpp:195: instantiated from here

../Core/BareMetal/L0Types/BitRangeTest.h:235: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 =
unsigned int, T = int]’:

BitRangeGTest.cpp:209: instantiated from here

../Core/BareMetal/LOTypes/BitRangeTest.h:183: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 =
int, T =int]’:

BitRangeGTest.cpp:215: instantiated from here

../Core/BareMetal/L0Types/BitRangeTest.h:152: warning: integer overflow in expression
../Core/BareMetal/LOTypes/BitRangeTest.h:153: warning: integer overflow in expression

../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 =
int, T = unsigned int]’:

BitRangeGTest.cpp:221: instantiated from here

../Core/BareMetal/L0Types/BitRangeTest.h:183: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 =
long long unsigned int, T = int]’:

BitRangeGTest.cpp:234: instantiated from here

../Core/BareMetal/L0Types/BitRangeTest.h:183: warning: comparison between signed and unsigned integer expressions
../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 =
long long int, T = int]’:

BitRangeGTest.cpp:240: instantiated from here

../Core/BareMetal/LOTypes/BitRangeTest.h:152: warning: integer overflow in expression
../Core/BareMetal/LOTypes/BitRangeTest.h:153: warning: integer overflow in expression

../Core/BareMetal/LOTypes/BitRangeTest.h: In member function ‘bool BitRangeTest<T>::TestBasicTypeCastMinorSize(T2) [with T2 =
long long int, T = unsigned int]':

BitRangeGTest.cpp:246: instantiated from here

../Core/BareMetal/LOTypes/BitRangeTest.h:152: warning: integer overflow in expression
../Core/BareMetal/L0Types/BitRangeTest.h:153: warning: integer overflow in expression

Source code files modified
1. modified: Test/Core/BareMetal/L0Types/BitRangeTest.h

2. modified: Test/Core/BareMetal/L0Types/FractionallntegerTest.h
3. modified: Test/GTest/FractionallntegerGTest.cpp

Architecture & design review
Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 18/11/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A.
Unit test review

Date of the review: 18/11/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 6529c5fe - 05.11.2015 09:39 - Giuseppe Ferro

#255 #228 Fixed compilation warnings.

Revision ab1a9535 - 16.11.2015 16:17 - André Neto

#228 compilation warnings fixed in test implementation.

History

#1 - 23.10.2015 13:20 - André Neto

- Status changed from New to Code: Impl

#2 - 23.10.2015 13:27 - André Neto

- Description updated

#3 - 23.10.2015 13:33 - André Neto

- Target version setto 0.7

#4 - 05.11.2015 09:22 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#5 - 05.11.2015 09:39 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#6 - 05.11.2015 09:41 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#7 - 09.11.2015 09:46 - Riccardo Vitelli

- Status changed from Code: Rev to Closed

#8 - 09.11.2015 09:47 - Riccardo Vitelli

- Status changed from Closed to Code: Rev

#9 - 09.11.2015 09:47 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#10 - 10.11.2015 17:38 - André Neto

- Target version changed from 0.7 to 0.8

#11 - 10.11.2015 17:50 - Riccardo Vitelli
- Status changed from Code: Rev to Code: Impl

#12 - 10.11.2015 17:50 - Riccardo Vitelli

- Assignee changed from Riccardo Vitelli to André Neto
#13 - 16.11.2015 16:16 - André Neto

- Description updated

- Status changed from Code: Impl to Code: Rev
- Assignee deleted (André Neto)

#14 - 17.11.2015 15:09 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#15 - 18.11.2015 11:58 - Riccardo Vitelli
- Description updated

- Assignee deleted (Riccardo Vitelli)

#16 - 18.11.2015 11:59 - Riccardo Vitelli

- Status changed from Code: Rev to Closed
